net.minecraft.world

## Class WorldServerMulti

- java.lang.Object
- - net.minecraft.world.World
  - - net.minecraft.world.WorldServer
    - - net.minecraft.world.WorldServerMulti

- All Implemented Interfaces:
    IBlockAccess

      public class WorldServerMulti
      extends WorldServer

- - ### Field Summary

    - ### Fields inherited from class net.minecraft.world.WorldServer

      `allPlayersSleeping, bonusChestContent, canNotSave, customTeleporters, theChunkProviderServer`

    - ### Fields inherited from class net.minecraft.world.World

      `activeChunkSet, difficultySetting, findingSpawnPoint, isRemote, lastLightningBolt, loadedEntityList, loadedTileEntityList, mapStorage, MAX_ENTITY_RADIUS, perWorldStorage, playerEntities, prevRainingStrength, prevThunderingStrength, provider, rainingStrength, rand, scheduledUpdatesAreImmediate, skylightSubtracted, theProfiler, thunderingStrength, villageCollectionObj, weatherEffects`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WorldServerMulti(MinecraftServer par1MinecraftServer, ISaveHandler par2ISaveHandler, String par3Str, int par4, WorldSettings par5WorldSettings, WorldServer par6WorldServer, Profiler par7Profiler, ILogAgent par8ILogAgent)`

  - ### Method Summary

    - ### Methods inherited from class net.minecraft.world.WorldServer

      `addBlockEvent, addWeatherEffect, areAllPlayersAsleep, canMineBlock, canMineBlockBody, flush, getAllTileEntityInBox, getChunkSaveLocation, getDefaultTeleporter, getEntityByID, getEntityTracker, getEntrancePortalLocation, getMinecraftServer, getPendingBlockUpdates, getPlayerManager, isBlockTickScheduledThisTick, newExplosion, onEntityRemoved, resetUpdateEntityTick, saveAllChunks, saveChunkData, scheduleBlockUpdate, scheduleBlockUpdateFromLoad, scheduleBlockUpdateWithPriority, setEntityState, setSpawnLocation, spawnRandomCreature, tick, tickUpdates, updateAllPlayersSleepingFlag, updateEntities, updateEntityWithOptionalForce`

    - ### Methods inherited from class net.minecraft.world.World

      `addLoadedEntities, addTileEntity, addTileEntity, addWorldAccess, addWorldInfoToCrashReport, blockExists, blockGetRenderType, blockHasTileEntity, calculateInitialSkylight, calculateInitialWeatherBody, calculateSkylightSubtracted, canBlockFreeze, canBlockFreezeBody, canBlockSeeTheSky, canLightningStrikeAt, canPlaceEntityOnSide, canSnowAt, canSnowAtBody, checkBlockCollision, checkChunksExist, checkNoEntityCollision, checkNoEntityCollision, checkSessionLock, clip, clip, countEntities, countEntities, createExplosion, destroyBlock, destroyBlockInWorldPartially, doChunksNearChunkExist, doesBlockHaveSolidTopSurface, drawCloudsBody, extendedLevelsInChunkCache, extinguishFire, findClosestStructure, findNearestEntityWithinAABB, func_82738_a, func_82739_e, func_92088_a, func_96440_m, getActualHeight, getBiomeGenForCoords, getBiomeGenForCoordsBody, getBlockDensity, getBlockId, getBlockLightOpacity, getBlockLightValue_do, getBlockLightValue, getBlockMaterial, getBlockMetadata, getBlockPowerInput, getBlockTileEntity, getBrightness, getCelestialAngle, getCelestialAngleRadians, getChunkFromBlockCoords, getChunkFromChunkCoords, getChunkHeightMapMinimum, getChunkProvider, getClosestPlayer, getClosestPlayerToEntity, getClosestVulnerablePlayer, getClosestVulnerablePlayerToEntity, getCloudColour, getCollidingBlockBounds, getCollidingBoundingBoxes, getCurrentDate, getCurrentMoonPhaseFactor, getDebugLoadedEntities, getEntitiesWithinAABB, getEntitiesWithinAABBExcludingEntity, getEntitiesWithinAABBExcludingEntity, getEntityPathToXYZ, getFirstUncoveredBlock, getFogColor, getFullBlockLightValue, getGameRules, getHeight, getHeightValue, getHorizon, getIndirectPowerLevelTo, getIndirectPowerOutput, getLightBrightness, getLightBrightnessForSkyBlocks, getLoadedEntityList, getLocationTensionFactor, getMinecartSoundUpdater, getMoonPhase, getPathEntityToEntity, getPersistentChunks, getPlayerEntityByName, getPrecipitationHeight, getProviderName, getRainStrength, getSavedLightValue, getSaveHandler, getScoreboard, getSeed, getSkyBlockTypeBrightness, getSkyColor, getSkyColorBody, getSpawnPoint, getStarBrightness, getStarBrightnessBody, getStrongestIndirectPower, getSunBrightness, getTensionFactorForBlock, getTopSolidOrLiquidBlock, getTotalWorldTime, getUniqueDataId, getWeightedThunderStrength, getWorldChunkManager, getWorldInfo, getWorldLogAgent, getWorldTime, getWorldVec3Pool, handleMaterialAcceleration, isAABBInMaterial, isAirBlock, isAnyLiquid, isBlockFreezable, isBlockFreezableNaturally, isBlockFullCube, isBlockHighHumidity, isBlockIndirectlyGettingPowered, isBlockNormalCube, isBlockNormalCubeDefault, isBlockOpaqueCube, isBlockProvidingPowerTo, isBlockSolidOnSide, isBlockSolidOnSide, isBlockTopFacingSurfaceSolid, isBoundingBoxBurning, isDaytime, isMaterialInBB, isRaining, isThundering, joinEntityInSurroundings, loadItemData, markBlockForRenderUpdate, markBlockForUpdate, markBlockRangeForRenderUpdate, markBlocksDirtyVertical, markTileEntityChunkModified, markTileEntityForDespawn, notifyBlockChange, notifyBlockOfNeighborChange, notifyBlocksOfNeighborChange, notifyBlocksOfNeighborChange, playAuxSFX, playAuxSFXAtEntity, playRecord, playSound, playSoundAtEntity, playSoundEffect, playSoundToNearExcept, rayTraceBlocks_do_do, removeBlockTileEntity, removeEntity, removePlayerEntityDangerously, removeWorldAccess, selectEntitiesWithinAABB, sendQuittingDisconnectingPacket, setAllowedSpawnTypes, setBlock, setBlock, setBlockMetadataWithNotify, setBlockTileEntity, setBlockToAir, setItemData, setLightValue, setRainStrength, setRandomSeed, setSpawnLocation, setWorldTime, spawnEntityInWorld, spawnParticle, toggleRain, unloadEntities, updateAllLightTypes, updateEntity, updateLightByType, updateWeatherBody`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WorldServerMulti

          public WorldServerMulti(MinecraftServer par1MinecraftServer,
                          ISaveHandler par2ISaveHandler,
                          String par3Str,
                          int par4,
                          WorldSettings par5WorldSettings,
                          WorldServer par6WorldServer,
                          Profiler par7Profiler,
                          ILogAgent par8ILogAgent)